| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Functions
GaudiException.h File Reference
`#include "GaudiKernel/Kernel.h"`
`#include "GaudiKernel/MsgStream.h"`
`#include "GaudiKernel/StatusCode.h"`
`#include "GaudiKernel/System.h"`
`#include <exception>`
`#include <iostream>`
`#include <string>`
Include dependency graph for GaudiException.h:

Go to the source code of this file.

## Classes
class | GaudiException
| Define general base for Gaudi exception. More...

## Functions
std::ostream & | operator<< (std::ostream &os, const GaudiException &ge)
| overloaded printout to std::ostream More...
std::ostream & | operator<< (std::ostream &os, const GaudiException *pge)
MsgStream & | operator<< (MsgStream &os, const GaudiException &ge)
| overloaded printout to MsgStream More...
MsgStream & | operator<< (MsgStream &os, const GaudiException *pge)
| overloaded printout to MsgStream More...

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const GaudiException & | ge
| ) |  |

overloaded printout to std::ostream

Definition at line 182 of file GaudiException.h.

182 { return ge.printOut( os ); }
GaudiException::printOut
virtual std::ostream & printOut(std::ostream &os=std::cerr) const
methods for overloaded printout to std::ostream& and MsgStream&
Definition: GaudiException.h:132

std::ostream& operator<< | ( | std::ostream & | os,
|  | const GaudiException * | pge
| ) |  |

Definition at line 183 of file GaudiException.h.

184 {
185 return ( 0 == pge ) ? ( os << " GaudiException* points to NULL!" ) : ( os << *pge );
186 }

MsgStream& operator<< | ( | MsgStream & | os,
|  | const GaudiException & | ge
| ) |  |

overloaded printout to MsgStream

Definition at line 189 of file GaudiException.h.

189 { return ge.printOut( os ); }
GaudiException::printOut
virtual std::ostream & printOut(std::ostream &os=std::cerr) const
methods for overloaded printout to std::ostream& and MsgStream&
Definition: GaudiException.h:132

MsgStream& operator<< | ( | MsgStream & | os,
|  | const GaudiException * | pge
| ) |  |

overloaded printout to MsgStream

Definition at line 191 of file GaudiException.h.

192 {
193 return ( 0 == pge ) ? ( os << " GaudiException* points to NULL!" ) : ( os << *pge );
194 }